NFTs Collection Tickers by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/nfts/{id}/tickers \
--header 'x-cg-pro-api-key: <api-key>'{
"tickers": [
{
"floor_price_in_native_currency": 5.57,
"h24_volume_in_native_currency": 4.56,
"native_currency": "ethereum",
"native_currency_symbol": "ETH",
"updated_at": "2026-05-26T17:00:49.982Z",
"nft_marketplace_id": "opensea",
"name": "OpenSea",
"image": "https://coin-images.coingecko.com/nft_marketplaces/images/1/small/Opensea.png?1686193426",
"nft_collection_url": "https://opensea.io/collection/pudgypenguins"
},
{
"floor_price_in_native_currency": 4.67,
"h24_volume_in_native_currency": 28.12,
"native_currency": "ethereum",
"native_currency_symbol": "ETH",
"updated_at": "2026-05-26T17:00:49.862Z",
"nft_marketplace_id": "blur",
"name": "Blur",
"image": "https://coin-images.coingecko.com/nft_marketplaces/images/20/small/blur_logo.jpg?1690993708",
"nft_collection_url": "https://blur.io/collection/pudgypenguins"
}
]
}NFTs Collection Tickers by ID
To query the latest floor price and 24hr volume of a NFT collection, on each NFT marketplace, e.g. OpenSea and Blur
GET
/
nfts
/
{id}
/
tickers
NFTs Collection Tickers by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/nfts/{id}/tickers \
--header 'x-cg-pro-api-key: <api-key>'{
"tickers": [
{
"floor_price_in_native_currency": 5.57,
"h24_volume_in_native_currency": 4.56,
"native_currency": "ethereum",
"native_currency_symbol": "ETH",
"updated_at": "2026-05-26T17:00:49.982Z",
"nft_marketplace_id": "opensea",
"name": "OpenSea",
"image": "https://coin-images.coingecko.com/nft_marketplaces/images/1/small/Opensea.png?1686193426",
"nft_collection_url": "https://opensea.io/collection/pudgypenguins"
},
{
"floor_price_in_native_currency": 4.67,
"h24_volume_in_native_currency": 28.12,
"native_currency": "ethereum",
"native_currency_symbol": "ETH",
"updated_at": "2026-05-26T17:00:49.862Z",
"nft_marketplace_id": "blur",
"name": "Blur",
"image": "https://coin-images.coingecko.com/nft_marketplaces/images/20/small/blur_logo.jpg?1690993708",
"nft_collection_url": "https://blur.io/collection/pudgypenguins"
}
]
}SDK Examples
const response = await client.nfts.tickers.get('pudgy-penguins');
console.log(JSON.stringify(response, null, 2));
response = client.nfts.tickers.get("pudgy-penguins")
print(response.model_dump_json(indent=2))
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
NFT collection ID.
*refers to /nfts/list.
Response
200 - application/json
NFT collection tickers data
Hide child attributes
Hide child attributes
NFT collection floor price in native currency
NFT collection volume in 24 hours in native currency
NFT collection native currency
NFT collection native currency symbol
Last updated time
NFT marketplace ID
NFT marketplace name
NFT marketplace image URL
NFT collection URL in the NFT marketplace
Was this page helpful?

